    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.api.exceptions;
    020
    021
    022
    023/**
    024 *  Marks an erroneous jspwiki.properties file.  Certain properties have been marked as "required", and if you
    025 *  do not provide a good value for a property, you'll see this exception.
    026 *  <P>
    027 *  Check <TT>jspwiki.properties</TT> for the required properties.
    028 */
    029public class NoRequiredPropertyException extends WikiException {
    030
    031    private static final long          serialVersionUID = 1L;
    032
    033    /**
    034     *  Constructs an exception.
    035     *
    036     *  @param msg Message to show
    037     *  @param key The key of the property in question.
    038     */
    039    public NoRequiredPropertyException( final String msg, final String key ) {
    040        super( msg + ": key=" + key );
    041    }
    042
    043}